package com.javacodegeeks.nio_ftp_example.runner;

import java.net.MalformedURLException;
import java.net.URL;

import org.apache.commons.cli.CommandLine;

public final class CLIConfig {
    private final URL from;
    private final String target;

    CLIConfig(final CommandLine commandLine) throws MalformedURLException {
        final String url = commandLine.getOptionValue(CLIConfigurator.URL);
        
        this.target = commandLine.getOptionValue(CLIConfigurator.TARGET);
        this.from = new URL(url);
    }

    public URL getFrom() {
        return this.from;
    }

    public String getTarget() {
        return this.target;
    }
}
