package com.javacodegeeks.nio_ftp_example.runner;

import java.io.IOException;

import com.javacodegeeks.nio_ftp_example.Constants;
import com.javacodegeeks.nio_ftp_example.NIOftp;

public final class Runner {

    private Runner() {
        throw new IllegalStateException(Constants.INSTANTIATION_NOT_ALLOWED);
    }

    public static void main(final String... args) {
        CLIConfigurator.configure(args).ifPresent(config -> {
            try {
                NIOftp.ftp(config.getFrom(), config.getTarget());
            } catch (IOException e) {
                throw new RuntimeException("exception while running ftp program", e);
            }
        });
    }
}